#include<iostream>
using namespace std;
typedef long long ll;
int main()
{
    ios_base::sync_with_stdio();cin.tie(0);
    int t;
    cin>>t;
    while(t--)
    {
	ll n,m,k;
	cin>>n>>m>>k;

	/* Imacemo y grupa od x+1 ucenika u grupi i (n-y) grupa od x ucenika u
	    grupi. Minimalni broj bananica za grupu velicine n je n(n+1)/2. */
	ll x=n/k; // broj dece u manjoj grupi
	ll y=n%k; // broj vecih grupa (x+1 dece u grupi)

	if(y*(x+1)*(x+2)/2+(n-y)*x*(x+1)/2<=m) cout<<"Tak\n";
	else cout<<"Nie\n";
    }
    return 0;
}